.room-girl {
	position: relative;
	background-color: #242424;
	border-radius: 12px;
}

.room-girl__label {
	position: absolute;
	top: -16px;
	left: 0;
	padding: 2px 10px;
	height: 35px;
	background-color: var(--comet-400);
	color: var(--white);
	font-size: 11px;
	font-weight: 600;
	text-transform: uppercase;
	line-height: 12px;
	border-radius: 12px 12px 0 0;
	z-index: -1;
}

.room-girl__header {
	display: flex;
	align-items: center;
	gap: 12px;
	padding: 16px 12px;	
}

.room-girl__header-logo {
	flex-shrink: 0;
	width: 48px;
}

.room-girl__header-body {
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex: 1;
}

.room-girl__header-title {
	color: var(--white);
	font-weight: 600;
	text-decoration: underline;
	text-underline-position: under;
	line-height: 20px;
}

.room-girl__header-title:hover {
	color: var(--comet-100);
	text-decoration: none;
}

.room-girl__header-rating {
	display: flex;
	align-items: center;
	gap: 1px;
	color: var(--mustard-400);
	font-size: 18px;
	font-weight: 600;
	line-height: 20px;
}

.room-girl__header-rating svg {
	font-size: 16px;
}

.room-girl__body {
	text-align: center;
	padding: 12px;
	background-color: var(--comet-50);
	border-radius: 12px 12px 8px 8px;
}

.room-girl__body-bonus {
	font-weight: 600;
	margin-bottom: 12px;
}

.room-girl__body-btns {
	display: flex;
	align-items: center;
	gap: 12px;
}

.room-girl__body-btn {
	flex: 1;
}

.room-girl__body-btn--play {
	order: 1;
}

.room-girl__body-btn--promocode .button--promocode__code::before {
	color: var(--comet-300);
}

.room-girl__body-btn--promocode .svg-icon {
	display: none;
}

.room-girl__body-btn--play:not(:empty) ~ .room-girl__body-btn--review {
	display: none;
}

.room-girl__body-btn.button--cursor::before {
	width: 32px;
	height: 32px;
	right: -12px;
	bottom: 0;
}

@media (min-width: 576px) {
	.room-girl__body-bonus {
		font-size: 18px;
		line-height: 28px;
	}
}

@media (max-width: 575.98px) {
	.room-girl__body-bonus {
		font-size: 14px;
		line-height: 20px;
	}
}